#include <iostream>

#include "Core/Time.h"
#include "Ship/Cargo.h"
#include "Ship/Ship.h"
#include "Store/Store.h"

int main() {
    Time time;
    Ship ship(&time, "Black Widow", 1000, 40);

    ship.load(std::make_unique<Alcohol>(300));
    ship.load(std::make_unique<Fruit>(200));
    ship.printCargo();

    for (int i = 0; i < 8; ++i) {
        ++time;
        std::cout << "\nDAY: " << time.day() << "\n";
        std::cout << "crew: " << ship.crew() << '\n';
        ship.printCargo();
    }
}